package com.auto.clicker.autoclicker.ui.adapter.script;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.auto.clicker.autoclicker.R;
import com.auto.clicker.autoclicker.room.entity.Solution;

import java.util.List;

public class ScriptListAdapter extends RecyclerView.Adapter<ScriptListAdapter.ViewHolder> {
    private List<Solution> solutionList;

    public ScriptListAdapter(List<Solution> solutionList) {
        this.solutionList = solutionList;
    }

    @NonNull
    @Override
    public ViewHolder onCreateViewHolder(@NonNull ViewGroup parentGroup, int viewType) {
        LayoutInflater inflater = LayoutInflater.from(parentGroup.getContext());
        View itemLayout = inflater.inflate(R.layout.item_script, parentGroup, false);
        return new ViewHolder(itemLayout);
    }

    @Override
    public void onBindViewHolder(@NonNull ViewHolder itemHolder, int pos) {

    }

    @Override
    public int getItemCount() {
        return solutionList.size();
    }

    static class ViewHolder extends RecyclerView.ViewHolder {

        public ViewHolder(@NonNull View itemView) {
            super(itemView);

        }
    }
}
